from core import getExprRewTimeData, prune
import sys
import matplotlib.pyplot as plt
import pylab
import statistics as stat

if __name__ == "__main__":
  # Check args and die if invalid
  if len(sys.argv) != 4:
      print("Error: wrong args")
      sys.exit(1)
  # Parse experimental results files
  rewx,rewy,timex,timey = getExprRewTimeData(sys.argv[1],sys.argv[2])
  # Prune the x and y sets
  goodx,goody = prune(rewx,rewy,1,15,False)
  # Plotting a figure
  plt.scatter(goodx,goody,s=10)
  plt.xlim(xmin=0)
  plt.ylim(ymin=0)
  plt.xlabel("Order-Sorted Alg. Rewrites")
  plt.ylabel("Many-Sorted Alg. Rewrites")
  plt.tight_layout()
  pylab.savefig(sys.argv[3])
